1. Items - Vendor
3enab
πŸͺ Vendor Application
  • πŸ‘€ User Application
  • πŸͺ Vendor Application
  • πŸ‘¨β€πŸ’Ό Admin Application
  • 🚚 Delivery Application
  • Auth - Vendor
    • Register a new vendor user
      POST
    • Login vendor
      POST
    • Logout vendor
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Items - Vendor
    • Create a new item
      POST
    • Get all items in a category
      GET
    • Get a single item by ID
      GET
    • Update an item
      PUT
    • Delete an item
      DELETE
    • Create a variant for an item
      POST
    • Update item status
      PATCH
    • Get all variants of an item
      GET
    • Upload item image
      POST
    • Update item availability
      PATCH
    • Update item group availability
      PATCH
    • Move item to another menu category
      PATCH
    • Update item active status
      PATCH
    • Update item discount
      PATCH
    • Remove item discount
      DELETE
    • Apply discount to all vendor items
      PATCH
    • Remove discount from all vendor items
      DELETE
    • Update items order
      PATCH
  • Menu Categories - Vendor
    • Create a new menu category for a vendor
    • Get all menu categories for a vendor
    • Get a single menu category by ID
    • Update a menu category
    • Delete a menu category
    • Update menu category active status
    • Update ordering for menu categories
  • Rates - Vendor
    • Get all ratings for vendor
    • Get a specific rating by ID
  • Users - Vendor
    • Get current vendor user profile
    • Update current vendor user profile
    • Delete current vendor user account
    • Change vendor user password
  • Vendor Categories - Vendor
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - Vendor
    • Get my vendors
    • Create a new vendor
    • Update vendor
    • Delete vendor
    • Upload vendor logo
    • Get vendor logo
    • Update vendor active status
    • Update vendor availability status
    • Create or update vendor notice
    • Upload vendor cover image
    • Delete vendor notice
    • Delete vendor cover image
    • Upload notice image
    • Update vendor preparation time
    • Delete notice image
  • Orders - Vendor
    • Get all orders for vendor
    • Get order by ID
    • Cancel order by vendor
    • Update order status
  • Versions - Vendor
    • Get the latest version for Vendor app
  1. Items - Vendor

Get all variants of an item

GET
/api/v1/vendor/vendors/{vendorId}/categories/{menuCategoryId}/items/{itemId}/variants
Retrieve all variants for a specific parent item

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Header Params

Responses

🟒200OK
application/json
Variants retrieved successfully
Body

Example
{
    "status": "success",
    "message": "Operation completed successfully",
    "data": {
        "variants": [
            {
                "_id": "507f1f77bcf86cd799439011",
                "name": "Delicious Pizza",
                "description": "Fresh pizza with premium ingredients",
                "basePrice": 25.99,
                "optionName": "Size",
                "parentItem": "507f1f77bcf86cd799439010",
                "isVariant": false,
                "prepTime": "15 minutes",
                "discount": {
                    "type": "percentage",
                    "value": 20,
                    "startDate": "2024-01-01T00:00:00.000Z",
                    "endDate": "2024-12-31T23:59:59.999Z",
                    "isActive": true
                },
                "isActive": true,
                "isAvailable": true,
                "isGroupAvailable": true,
                "order": 1,
                "category": "507f1f77bcf86cd799439012",
                "vendor": "507f1f77bcf86cd799439013",
                "imagePath": "/uploads/items/image.jpg",
                "createdAt": "2019-08-24T14:15:22.123Z",
                "updatedAt": "2019-08-24T14:15:22.123Z"
            }
        ]
    }
}
🟠401Unauthorized
🟠404Not Found
Modified atΒ 2026-04-08 13:49:19
Previous
Update item status
Next
Upload item image
Built with